
#import "VMApp.h"

@implementation VMApp

- init 
{
   [super init];
   nombrearchivo = NULL;
   offset = 0.0;
   return self; 
}

- openDocument:sender
{
    char *types[2] = {"com", 0};
    
   if ( [[OpenPanel new] runModalForTypes:types])  
       nombrearchivo = (char *)[[OpenPanel new] filename]; 

    currentVM = [[VirtualMode alloc] init];
//    printf("Nuevo documento!\n");
    [currentVM setOffset: offset];
    [currentVM show:self];
    [currentVM carga:nombrearchivo];
    offset = ((offset)>130.0)?0.0:offset+24; 
    
    return self;
}

- showInfo:sender
{
   if (infoPanel == nil) { 
      if (![NXApp loadNibSection: "info.nib" owner: self withNames: NO]) 
         return nil; 
   }
   [infoPanel makeKeyAndOrderFront: nil]; 
   return self; 
}

/* Codigo de prueba, se debe colocar cuando se ejecute un hilo virtual */ 
- showCGA:sender 
{
   if (cgaControl == nil) {
      if (![NXApp loadNibSection: "CGA.nib" owner: self withNames: NO]) 
         return nil; 
   }
   [cgaControl display]; 
   return self; 
}

- controlCga
{
    return cgaControl;
}

@end
