#import <appkit/appkit.h>

#import <appkit/NXBrowser.h>
#import <appkit/Text.h>

#import <sys/param.h> 
#import <stdlib.h>
#import <stdio.h>

#import "tv86.h"
#import "funcListBrowser.h"
#import "task_vm.h"
#import "ThreadEngine.h"

#define STATE_MSG   0
#define EXCEP_MSG   1
#define EXECT_MSG   2
#define FNSHD_MSG   3 
#define MEMOR_MSG   4 
#define CLEAR_MSG   5
#define PROGR_MSG   6
#define NLOAD_MSG   7
#define SIMVI_MSG   8

@interface VirtualMode:Object
{
    id 		   myWindow;
    id	           execute;         // Muestra la ejecucion del hilo V86   
    id	           threadState;     // Muestra el estado del hilo V86 
    id	           typeException;   // Tipo de excepcion provocada por V86 
    id             buttonExe;       // Boton de ejecucion
    id		   buttonContinue;  // Boton para reanudar ejecucion 
    id             programa;        // Muestra el programa 8086 

    float 	   offset;
    char           directorio[MAXPATHLEN]; 
    id		   monitor; 
    id		   memoria;
    id 		   controlVideo; 
}

+ initialize; 

- init;
- setOffset:(float)valor;
- setStopException:sender; 
- show:sender;
- execute:sender;
- continue:sender;
- carga:(char *)nombrearchivo;
- muestraPrograma:(char *)cadena;
- endExecute; 
- endVMTask;


/* Metodos para control de paso de mensajes */ 
- draw:(simpleMsg *)msg;

/* Metodos del delegado Browser */ 
- (int)browser:sender fillMatrix:matrix inColumn:(int) column; 
- browser:sender loadCell:cell atRow:(int)row inColumn:(int) column; 


/* Metodos del delegado Window */ 
//- windowWillClose:sender; 

@end
