/*
 * Archivo funcListBrowser   
 * Contiene la definicion de las funciones para el manejo de 
 * la lista excepciones que muestra el browser 
 *
 * Amilcar Meneses Viveros 
 * [26-Julio-1998]
 */ 

/* Estructura de la lista de excepciones */ 

typedef struct _le { 
    int        i; 		/* Indice  		  */ 
    char       *e; 		/* Nombre de la excepcion */ 
    int        code; 		/* Codigo de la wxcepcion */ 
    struct _le *next; 		/* Siguiente elemento     */ 
} lstexcep; 


int buscar_car(char *w); 
lstexcep *inserta_lista_estructura(lstexcep *l, char *w, int k, int *j); 
lstexcep *busca_indice(lstexcep *l, int i);
lstexcep *busca_codigo(lstexcep *l, int c);
