/* 
 *   (c) 1998 Universidad Autonoma de Puebla 
 *   
 *   Departamento de Aplicacion de Microcomputadoras 
 *   Instituto de Ciencias 
 *   Universidad Autonoma de Puebla 
 *   49 Pte. 1102, Col. Prados Agua Azul. 
 *   Puebla, Pue. Mexico  
 */ 
/* 
 *   Proposito: 
 *      Emulacion de la tarea V86. 
 *
 *   Amilcar Meneses Viveros 
 *   [Marzo-1998] 
 */ 

#import <mach/mach.h>
#import <stdio.h>
#import <fcntl.h>
#import <libc.h>
#import <stdlib.h>
#import <mach/message.h>

#import <mach/exception.h>
#import <mach/cthreads.h>
#import <mach/mig_errors.h>
#import <mach/message.h>

#define THREAD_STATE_MSG 0	
#define EXCEPTION_MSG    1  
#define EXECUTE_MSG      2  
#define FINISHED_MSG     3
#define MEMORY_MSG       4
#define CLEAR_MSG        5
#define PROGR_MSG        6
#define NOT_LOAD_MSG	 7
#define SIMULAVIDEO_MSG  8

#define MAXDATA   5    // Define mesg
/* Define los diferentes tipos de mensajes */ 
typedef struct {
    msg_header_t h;
    msg_type_t t;
    char        body[400]; 
} simpleMsg;

/* Define el tamao de la memoria virtual, puede ser de 8K o 4K */ 
#define PAGINA_VIRTUAL  vm_page_size	

/* Define tipos y forma de direccionar el 8086 */
#define offset_8086		u_int
#define segment_8086		u_int
#define Address_8086(x,y)	((((x)&0xffff)<<4)+((y)&0xffff))

#define	EFL_SAFE	(EFL_CF|EFL_PF|EFL_AF|EFL_ZF|EFL_SF|EFL_DF|EFL_OF|EFL_RF|EFL_IF)
#define	EFL_TSAFE	(EFL_TF|EFL_CF|EFL_PF|EFL_AF|EFL_ZF|EFL_SF|EFL_DF|EFL_OF|EFL_RF|EFL_IF)
